# SPDX-FileCopyrightText: 2023-2024 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ config, ... }:

{
  services.nginx.virtualHosts = {
    "brennende.autos" = {
      enableACME = true;
      forceSSL = true;

      locations."~ .*".return = "303 'https://iv.sbruder.xyz/watch?v=ojToYs6nCnk&t=1684'";
    };
    "www.brennende.autos" = {
      enableACME = true;
      forceSSL = true;

      globalRedirect = "https://brennende.autos/";
    };
  };

  sbruder.static-webserver.vhosts = {
    "arbeitskampf.work".user = {
      name = "arbeitskampf";
    };

    "maggus.bayern".user = {
      name = "maggus";
      keys = [
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAWGXaMijpnm3RSH/PIVxkBRDIi1f5nMW/aS26g3b71M nils"
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJEF8o2ezSEXwWoAcdoeJs+wsZM/u8x+vtRNU3FXOMIT nils"
      ] ++ config.sbruder.pubkeys.trustedKeys;
    };

    "psycho-power-papagei.de" = {
      user.name = "papagei";
      imprint.enable = true;
    };

    "salespointframework.org" = {
      redirects = [
        "www.salespointframework.org"
        "salespointframe.work"
        "www.salespointframe.work"
        "verkaufspunktrahmenwerk.de"
        "www.verkaufspunktrahmenwerk.de"
        "verkaufspuntrahmenwerk.de"
        "www.verkaufspuntrahmenwerk.de"
      ];
      user.name = "salespoint";
    };
  };
}
